Probleme avec php et libxsl

j’ai hesité à poster ici ou dans SegFault, et je pense que c’est ici que c’est le plus approprié.

j’ai un probleme avec la compilation de php avec libxsl, sur une fedora core 4:

libxsl est installé, configuré et fonctionne, je compile php avec les parametres qui vont bien (–with-dom --with-dom-xslt --with-dom-exslt).

mais… ça ne fonctionne pas, php refuse de reconnaitre la présence de libxsl.

quelqu’un aurait une idée de l’origine de ce probleme?

ca sert à quoi libxsl ?

ça sert à effectuer une transformation xsl cote serveur.

j’ai oublié de préciser: c’est un php 4.4.2. donc contrairement à php 5, il n’y a pas de processeur xsl inclu.

Je ne suis pas un spécialiste de Fedora, mais d’après mes souvenirs des distribs basées sur rpm, dans ton cas il faut vérifier que le paquet libxsl-devel ou qqch comme ca est bien installé pour pouvoir compiler des applis utilisant libxsl.

C’est valable pour libxsl et la quasi-totalité des autres libs et applis.